Create Quote
Creates a sales quote from the storefront and submits it to the B2B Edition control panel.
Depending on your store’s Quote settings configuration, this can be used anonymously to create a quote as a guest shopper, or authenticated with a B2C storefront customer or B2B Company user account. Quotes created with this endpoint share the same minimum required fields as the Create a Quote endpoint in the Server to Server API.
Draft Quotes
The Buyer Portal allows buyers to save “draft” quotes” that they can edit further until they are ready to submit the quote to their sales representative. The built-Buyer Portal uses local storage, via the Redux library, to store a draft quote’s details. This is different from quotes created within the B2B Edition control panel in Draft status, which is saved to the account itself and is visible to all backend users.
The Create a Quote endpoint should only be used once a quote is ready to submit to a sales representative. Your application must save quote details in its own storage in order to support draft quotes.
Equivalent Storefront GraphQL Mutation: quoteCreate.
Pricing Field Considerations
Note the following considerations related to pricing fields in the request:
- Quotes created with this endpoint undergo a price validation check to prevent invalid prices. If the check fails, a
BigCommerce API Errorwill be raised and logged, preventing quote creation.- To create quotes with custom pricing, use Create a Quote Form (Server-to-Server).
- The
discountfield is present in the request body and theproductListarray; however, the value must be 0, since quote discounts are supplied by the sales rep. - The
offeredPricefield on each item in theproductListarray must be provided, but it must equal thebasePricevalue for that product, since it is meant to reflect the quoted price which should not be different at this stage. - The
subtotalandgrandTotalfields must be equal to the sum of each product’sofferedPricemultiplied by thequantity.
Authentication
Authentication header
Request
Use ‘%m/%d/%Y’ format when entering the expiration date.
The quote’s buyer-facing notes. Use the newline character to separate each line of text.
Indicates whether the quote was created by a frontend user like a buyer or Super Admin (0), or by a backend user like Sales Staff (1).